import request from './index';

// 请求我的用户 标签分类
export const getMemberTag = () =>
  request({
    url: '/memberTag/platformHomePageV2',
    method: 'get',
    params: {
      requestProject: 'gic-member-tag-web'
    }
  });

// 查询标签列表
export const getMemberTagList = params =>
  request({
    url: '/memberTag/platformTagPageListV2',
    method: 'get',
    params: params
  });

// 手工标签新增三级
export const newHandTag = params =>
  request({
    url: '/tagLevel/addHand',
    method: 'get',
    params: params
  });

// 手工三级标签列表
export const thirdHandTagList = params =>
  request({
    url: '/tagLevel/handThirdLevel',
    method: 'get',
    params: params
  });

// 上手手工标签三级
export const deleteThirdTag = params =>
  request({
    url: '/tagLevel/delHand',
    method: 'get',
    params: params
  });

// 修改三级手工标签
export const editThirdTag = params =>
  request({
    url: '/tagLevel/editHand',
    method: 'get',
    params: params
  });

// 删除手工标签
export const delThirdHandTag = params =>
  request({
    url: '/memberTag/delHandMemberTag',
    method: 'get',
    params: params
  });

// 会员分组分类 查询
export const memberGroupList = params =>
  request({
    url: '/member-tag-group-classify/list',
    method: 'get',
    params: params
  });
